Page MenuHomePhabricator

edje: migrate Eo API to use Eo callback instead of opaque type.
ClosedPublic

Authored by cedric on Feb 2 2019, 8:27 AM.

Diff Detail

Repository
rEFL core/efl
Branch
T7671-devs/cedric/efl_ui_layout_callback
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 9370
cedric created this revision.Feb 2 2019, 8:27 AM
cedric requested review of this revision.Feb 2 2019, 8:27 AM
zmike requested changes to this revision.Feb 4 2019, 10:28 AM

warnings

lib/edje/edje_program.c: In function ‘_edje_emit_cb’:
lib/edje/edje_program.c:1683:9: warning: implicit declaration of function ‘_edje_signal_callback_matches_unref’; did you mean ‘_edje_signal_callback_patterns_unref’? [-Wimplicit-function-declaration]
         _edje_signal_callback_matches_unref(m);
         ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
         _edje_signal_callback_patterns_unref

lib/edje/edje_signal.c: In function ‘_edje_signal_match_key_cmp’:
lib/edje/edje_signal.c:28:66: warning: pointer to a function used in subtraction [-Wpointer-arith]
             a->free_cb[i] != b->free_cb[i]) return a->free_cb[i] - b->free_cb[i];
                                                                  ^
This revision now requires changes to proceed.Feb 4 2019, 10:28 AM
zmike added a comment.Feb 4 2019, 10:32 AM

Seems okay other than the warnings, so I'll r+ if you fix those.

cedric updated this revision to Diff 19205.Feb 5 2019, 10:47 PM

Rebase and fix reported warning.

zmike accepted this revision.Feb 6 2019, 10:48 AM
This revision is now accepted and ready to land.Feb 6 2019, 10:48 AM
This revision was automatically updated to reflect the committed changes.